TurboCAD Forums

The Ultimate Resource for TurboCAD Knowledge

Register
 
When replying to a specific statement be sure to quote the previous post.

Upgrading the CAM plug-in from 3.0 to 3.5
Read 1970 times
* May 29, 2014, 04:20:10 PM
Hi, I started a separate topic for this because the issue is somewhat different from my previous topic on this subject.

I looked through the CAM forum and found a link: http://downloads.imsidesign.com/Plug-ins/18/CAM-PlugIn-for-TurboCAD-18.exe to download the CAM plug-in for version 3.5.

I tried this but it would not accept the Serial number that I have for the version of the plug-in that I purchased. It seems that IMSI tie their plug-ins to specific versions of the program.  So that the plug-in I have will only work with version 11.1 and then not on a Vista or Win 8 machine.

If this is so then I find the treatment of legacy license holders by IMSI to be rather shabby, I don't believe, from looking through the forum that there is any significant improvement in the program in going from 3.0 to 3.5 so I ought to be able to use my licence on upgraded versions of the supporting main program, this would not be true for the likes of Adobe etc, where the earlier plug-ins will work for later versions of photoshop or illustrator etc.

I have found the same problem with the beam equation program, but have managed to sort this by direct import of the dll's etc.

How can I use TurboCadCam version 3.5 with my current license obtained when I purchased the version for TC11?

I don't recall any upgrade option for TCCADCAM to 3.5.  Normally I would only expect to pay for a major upgrade, say to version 4.0, not as in this case what seems to be a minor amendment, or indeed to pay in order to be able to run on later versions of the main program (changing from 32-bit to 64-bit is maybe an exception!).

Kind regards

Martin

Logged
MS Win8 Pro, i7-3770K processor, Nvidia GeForce GTX, 500GB SSD, 2T HD, 16GB RAM (32GB Virtual). Gigabyte Mobo.  TC since 3.5" floppy days.  Now ver21 Platinum although still use Ver 11 for beam tool (not compatible with Ver18, or version 21).   Cannot get TurboCadCam ver 3.0 to work on Win 8 machine


May 30, 2014, 12:09:38 AM
#1
Martin,

sorry to hear you are still having problems - hang in there!
Contact IMSI support, and see if they can assist.

I hope this helps.

Regards TIm

Logged
You can design without engineering, but you cannot engineer without design.
Testing/using with Win 10 and various TurboCAD 64-bit versions.


* May 30, 2014, 01:44:45 AM
#2
Thanks Tim,

Seems like I am stuffed! If I want to use the CAM plug in I need to buy the new package.

I am considering a different option, as I can export an .stl file I can then get a translator to create G-codes from the .stl file.  This route would be independent of the upgrade version of TC that I am using. If this woks it would seem more cost effective than buying something that I already thought I had!  An there is a program that has a reasonable write-up that is around the same cost as the TCCADCAM plug-in.

I wouldn't expect IMSI to support a version of a plug-in this old, but I would expect it to be compatible and usable on a 'as-is basis'.

I am surprised that no one else seems to complain about this!

Martin

Logged
MS Win8 Pro, i7-3770K processor, Nvidia GeForce GTX, 500GB SSD, 2T HD, 16GB RAM (32GB Virtual). Gigabyte Mobo.  TC since 3.5" floppy days.  Now ver21 Platinum although still use Ver 11 for beam tool (not compatible with Ver18, or version 21).   Cannot get TurboCadCam ver 3.0 to work on Win 8 machine


May 30, 2014, 03:43:54 AM
#3
Did you have any success?

Logged
TurboCAD user since v3
 TurboCAD on flickr || My twitter ||